This module lets you create and manage different section variations in Drupal's Layout Builder to customize section appearances. It also provides template suggestions for easy layout customization based on the selected variation.

## Requirements

This module requires the following modules to be installed:

- Drupal core ^10 || ^11
- Layout Builder

## Installation

- Install the module as you would normally install a contributed Drupal module. Visit [this guide](https://www.drupal.org/docs/8/extending-drupal-8/installing-contributed-modules) for further information.
- After installation, visit the Section Variations page to configure the available variations.

## Use cases

- Define multiple section variations to change the section appearance.
- Override a specific Layout Builder section template.

## Configuration

This module adds a configuration page where you can define multiple `Section variations`. The configuration page is located at `/admin/config/content/layout-builder-section-variations`.

## Usage

- Once the module is enabled and configured, you can start using it in the Layout.
- When you add/edit a section, you'll see a new field called "Variation," listing all defined `Section variations`.
- The selected `Section variation` will appear in the `theme hook suggestions`. For example, the `Default` variation (on a "One column" layout) will let you override the `layout.html.twig`, `layout--onecol.html.twig`, `layout--default.html.twig`, and `layout--onecol--default.html.twig` templates.

## Support

This is a contributed module and isn't officially supported by the Drupal community. However, you can open an issue on the module's page on drupal.org if you find any bugs or have feature requests.
